WCTRANS(3)

NAME
wctrans, wctrans_l - get a character mapping identifier by name

SYNOPSIS
#include <wctype.h>
wctrans_t
wctrans(const char *charmap);
wctrans_t
wctrans_l(const char *charmap, locale_t locale);

DESCRIPTION
These functions return a character mapping identifier corresponding to the locale-specific character mapping name charmap. This identifier can be used in the subsequent calls of towctrans() or towctrans_l(), respectively.

The following names are defined in all locales:

    tolower toupper

The function wctrans_l() uses the specified locale, whereas wctrans() uses the thread-specific locale set with uselocale(3), falling back to the global locale set with setlocale(3).

RETURN VALUES
These functions return the character mapping identifier, or (wctrans_t)0 if charmap does not corresponding to a valid character mapping name.

SEE ALSO
newlocale(3), setlocale(3), towctrans(3), towlower(3), wctype(3)

STANDARDS
The wctrans() function conforms to isoC-amd1, and wctrans_l() to p1003.1-2008.

HISTORY
The wctrans() function has been available since OpenBSD 3.8, and wctrans_l() since OpenBSD 6.2.